// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface GenerationEventOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.GenerationEvent)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eventValue field is set.
   */
  boolean hasEventValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eventValue.
   */
  openfmb.commonmodule.EventValue getEventValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.EventValueOrBuilder getEventValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationEventZGEN generationEventZGEN = 2;</code>
   * @return Whether the generationEventZGEN field is set.
   */
  boolean hasGenerationEventZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationEventZGEN generationEventZGEN = 2;</code>
   * @return The generationEventZGEN.
   */
  openfmb.generationmodule.GenerationEventZGEN getGenerationEventZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationEventZGEN generationEventZGEN = 2;</code>
   */
  openfmb.generationmodule.GenerationEventZGENOrBuilder getGenerationEventZGENOrBuilder();
}
